import { c as create_ssr_component, i as add_classes, w as add_styles, g as add_attribute, v as validate_component, f as escape, a as compute_rest_props, b as spread, e as escape_attribute_value, d as escape_object, m as missing_component, j as createEventDispatcher, k as compute_slots, h as subscribe, s as setContext, l as each, u as is_void, n as getContext } from "./index-27250121.js";
import { b as base } from "./paths-b9644fda.js";
import { m as marked, C as Close, u as urlUtils, w as writable, M as MarkdownTokens, c as MarkdownToken, d as contextKey, e as Markdown } from "./pages-aa8df65b.js";
const css$9 = {
  code: ".prism--show-copy-button .copy-to-clipboard-button{display:block}.prism--hide-copy-button .copy-to-clipboard-button{display:none}",
  map: null
};
const Prism_1 = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { language } = $$props;
  let { source } = $$props;
  let { showLineNumbers = false } = $$props;
  let { showCopyButton = false } = $$props;
  let { minHeight = void 0 } = $$props;
  let { maxHeight = void 0 } = $$props;
  let root;
  if ($$props.language === void 0 && $$bindings.language && language !== void 0)
    $$bindings.language(language);
  if ($$props.source === void 0 && $$bindings.source && source !== void 0)
    $$bindings.source(source);
  if ($$props.showLineNumbers === void 0 && $$bindings.showLineNumbers && showLineNumbers !== void 0)
    $$bindings.showLineNumbers(showLineNumbers);
  if ($$props.showCopyButton === void 0 && $$bindings.showCopyButton && showCopyButton !== void 0)
    $$bindings.showCopyButton(showCopyButton);
  if ($$props.minHeight === void 0 && $$bindings.minHeight && minHeight !== void 0)
    $$bindings.minHeight(minHeight);
  if ($$props.maxHeight === void 0 && $$bindings.maxHeight && maxHeight !== void 0)
    $$bindings.maxHeight(maxHeight);
  $$result.css.add(css$9);
  return `<div${add_classes(((showCopyButton ? "prism--show-copy-button" : "") + " " + (!showCopyButton ? "prism--hide-copy-button" : "")).trim())}><pre${add_classes((showLineNumbers ? "line-numbers" : "").trim())}${add_styles({
    "min-height": minHeight,
    "max-height": maxHeight
  })}><code${add_attribute("this", root, 0)}></code></pre>
</div>`;
});
function containerExtension(tokensExtractor) {
  return {
    name: "container",
    level: "block",
    start(src) {
      var _a;
      return (_a = src.match(/^:::[^:\n\s]/)) == null ? void 0 : _a.index;
    },
    tokenizer(src) {
      const rule = /^:::(?<type>[a-z0-9-]+)(?<options>.*)?\n(?<content>(?:.|\n)*)\n:::(?:\n|$)/i;
      const match = rule.exec(findRawContainer(src));
      if (!match || !match.groups)
        return null;
      const type = match.groups.type.toLocaleLowerCase();
      const options = parseOptions(match.groups.options || "");
      const content = match.groups.content || "";
      const result = tokensExtractor({
        type,
        content,
        raw: match[0],
        options
      });
      if (result && result.tokens) {
        this.lexer.blockTokens(content, result.tokens);
      }
      return result;
    }
  };
}
function findRawContainer(src) {
  if (!src.startsWith(":::"))
    return void 0;
  const lines = src.split("\n");
  let open = 1;
  let lineNumber = 1;
  for (lineNumber = 1; lineNumber < lines.length; lineNumber++) {
    const line = lines[lineNumber];
    if (line.startsWith(":::")) {
      if (/:::[^:\n\s]/.test(line)) {
        open++;
      } else if (/^:::(\n|$)/.test(line)) {
        open -= 1;
      }
    }
    if (open === 0) {
      break;
    }
  }
  return lines.slice(0, lineNumber + 1).join("\n");
}
function parseOptions(options) {
  var _a, _b;
  const output = {};
  let remaining = options;
  while (true) {
    const regex = /(?<name>[a-z0-9]+)(?:="(?<value>(?:.*?))")?/i;
    const match = regex.exec(remaining);
    if (!match)
      break;
    const name = (_a = match == null ? void 0 : match.groups) == null ? void 0 : _a.name;
    if (name) {
      output[name] = ((_b = match == null ? void 0 : match.groups) == null ? void 0 : _b.value) ?? true;
    }
    remaining = remaining.slice(match.index + match[0].length);
  }
  return output;
}
const extensions = {
  containerExtension
};
const MarkdownCode = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { showCopyButton = true } = $$props;
  let { showLineNumbers = true } = $$props;
  let { token } = $$props;
  if ($$props.showCopyButton === void 0 && $$bindings.showCopyButton && showCopyButton !== void 0)
    $$bindings.showCopyButton(showCopyButton);
  if ($$props.showLineNumbers === void 0 && $$bindings.showLineNumbers && showLineNumbers !== void 0)
    $$bindings.showLineNumbers(showLineNumbers);
  if ($$props.token === void 0 && $$bindings.token && token !== void 0)
    $$bindings.token(token);
  return `${validate_component(Prism_1, "Prism").$$render(
    $$result,
    {
      language: token.lang,
      source: token.text,
      showCopyButton,
      showLineNumbers
    },
    {},
    {}
  )}`;
});
const CodeSpan_svelte_svelte_type_style_lang = "";
const css$8 = {
  code: ".code-span.svelte-1292o4f{background:#f0f0f0;padding-left:0.3rem;padding-right:0.3rem;border-radius:0.1rem}",
  map: null
};
const CodeSpan = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  $$result.css.add(css$8);
  return `<code class="${"code-span svelte-1292o4f"}">${slots.default ? slots.default({}) : ``}
</code>`;
});
const MarkdownCodeSpan = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { token } = $$props;
  if ($$props.token === void 0 && $$bindings.token && token !== void 0)
    $$bindings.token(token);
  return `${validate_component(CodeSpan, "CodeSpan").$$render($$result, {}, {}, {
    default: () => {
      return `${escape(token.raw.slice(1, token.raw.length - 1))}`;
    }
  })}`;
});
const notificationStyles = ["error", "success", "info", "warning"];
function parseNotification({
  options,
  raw
}) {
  var _a, _b, _c;
  const typeOption = ((_c = (_b = (_a = options["type"]) == null ? void 0 : _a.toString()) == null ? void 0 : _b.toLocaleLowerCase()) == null ? void 0 : _c.trim()) ?? "info";
  const style = notificationStyles.some(
    (it) => it === typeOption
  ) ? typeOption : "info";
  return {
    type: "notification",
    raw,
    style,
    tokens: []
  };
}
const tagColors = [
  "red",
  "magenta",
  "purple",
  "blue",
  "cyan",
  "teal",
  "green",
  "gray",
  "cool-gray",
  "warm-gray",
  "high-contrast",
  "outline"
];
function parseTags({
  options,
  raw,
  content
}) {
  const colorsOption = (options["colors"] ?? options["color"] ?? "outline").toString().toLocaleLowerCase();
  const colors = colorsOption.split(",").map((it) => it.trim().toLocaleLowerCase()).filter((it) => tagColors.some((color) => it === color));
  return {
    type: "tags",
    raw,
    tags: content.split(",").map((tag) => ({ name: tag })),
    colors: colors.length === 0 ? ["outline"] : colors
  };
}
let initialized = false;
function setupMarkedExtensions() {
  if (!initialized) {
    initialized = true;
    marked.use({
      extensions: [
        extensions.containerExtension((params) => {
          switch (params.type) {
            case "notification":
              return parseNotification(params);
            case "tags":
              return parseTags(params);
            default:
              return null;
          }
        })
      ]
    });
  }
}
const CheckmarkFilled = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let labelled;
  let attributes;
  let $$restProps = compute_rest_props($$props, ["size", "title"]);
  let { size = 16 } = $$props;
  let { title = void 0 } = $$props;
  if ($$props.size === void 0 && $$bindings.size && size !== void 0)
    $$bindings.size(size);
  if ($$props.title === void 0 && $$bindings.title && title !== void 0)
    $$bindings.title(title);
  labelled = $$props["aria-label"] || $$props["aria-labelledby"] || title;
  attributes = {
    "aria-hidden": labelled ? void 0 : true,
    role: labelled ? "img" : void 0,
    focusable: Number($$props["tabindex"]) === 0 ? true : void 0
  };
  return `<svg${spread(
    [
      { xmlns: "http://www.w3.org/2000/svg" },
      { viewBox: "0 0 32 32" },
      { fill: "currentColor" },
      { preserveAspectRatio: "xMidYMid meet" },
      { width: escape_attribute_value(size) },
      { height: escape_attribute_value(size) },
      escape_object(attributes),
      escape_object($$restProps)
    ],
    {}
  )}>${title ? `<title>${escape(title)}</title>` : ``}<path d="${"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM14,21.5908l-5-5L10.5906,15,14,18.4092,21.41,11l1.5957,1.5859Z"}"></path><path fill="${"none"}" d="${"M14 21.591L9 16.591 10.591 15 14 18.409 21.41 11 23.005 12.585 14 21.591z"}" data-icon-path="${"inner-path"}"></path></svg>`;
});
const CheckmarkFilled$1 = CheckmarkFilled;
const ErrorFilled = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let labelled;
  let attributes;
  let $$restProps = compute_rest_props($$props, ["size", "title"]);
  let { size = 16 } = $$props;
  let { title = void 0 } = $$props;
  if ($$props.size === void 0 && $$bindings.size && size !== void 0)
    $$bindings.size(size);
  if ($$props.title === void 0 && $$bindings.title && title !== void 0)
    $$bindings.title(title);
  labelled = $$props["aria-label"] || $$props["aria-labelledby"] || title;
  attributes = {
    "aria-hidden": labelled ? void 0 : true,
    role: labelled ? "img" : void 0,
    focusable: Number($$props["tabindex"]) === 0 ? true : void 0
  };
  return `<svg${spread(
    [
      { xmlns: "http://www.w3.org/2000/svg" },
      { viewBox: "0 0 32 32" },
      { fill: "currentColor" },
      { preserveAspectRatio: "xMidYMid meet" },
      { width: escape_attribute_value(size) },
      { height: escape_attribute_value(size) },
      escape_object(attributes),
      escape_object($$restProps)
    ],
    {}
  )}>${title ? `<title>${escape(title)}</title>` : ``}<path fill="${"none"}" d="${"M14.9 7.2H17.1V24.799H14.9z"}" data-icon-path="${"inner-path"}" transform="${"rotate(-45 16 16)"}"></path><path d="${"M16,2A13.914,13.914,0,0,0,2,16,13.914,13.914,0,0,0,16,30,13.914,13.914,0,0,0,30,16,13.914,13.914,0,0,0,16,2Zm5.4449,21L9,10.5557,10.5557,9,23,21.4448Z"}"></path></svg>`;
});
const ErrorFilled$1 = ErrorFilled;
const InformationFilled = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let labelled;
  let attributes;
  let $$restProps = compute_rest_props($$props, ["size", "title"]);
  let { size = 16 } = $$props;
  let { title = void 0 } = $$props;
  if ($$props.size === void 0 && $$bindings.size && size !== void 0)
    $$bindings.size(size);
  if ($$props.title === void 0 && $$bindings.title && title !== void 0)
    $$bindings.title(title);
  labelled = $$props["aria-label"] || $$props["aria-labelledby"] || title;
  attributes = {
    "aria-hidden": labelled ? void 0 : true,
    role: labelled ? "img" : void 0,
    focusable: Number($$props["tabindex"]) === 0 ? true : void 0
  };
  return `<svg${spread(
    [
      { xmlns: "http://www.w3.org/2000/svg" },
      { viewBox: "0 0 32 32" },
      { fill: "currentColor" },
      { preserveAspectRatio: "xMidYMid meet" },
      { width: escape_attribute_value(size) },
      { height: escape_attribute_value(size) },
      escape_object(attributes),
      escape_object($$restProps)
    ],
    {}
  )}>${title ? `<title>${escape(title)}</title>` : ``}<path fill="${"none"}" d="${"M16,8a1.5,1.5,0,1,1-1.5,1.5A1.5,1.5,0,0,1,16,8Zm4,13.875H17.125v-8H13v2.25h1.875v5.75H12v2.25h8Z"}" data-icon-path="${"inner-path"}"></path><path d="${"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,6a1.5,1.5,0,1,1-1.5,1.5A1.5,1.5,0,0,1,16,8Zm4,16.125H12v-2.25h2.875v-5.75H13v-2.25h4.125v8H20Z"}"></path></svg>`;
});
const InformationFilled$1 = InformationFilled;
const InformationSquareFilled = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let labelled;
  let attributes;
  let $$restProps = compute_rest_props($$props, ["size", "title"]);
  let { size = 16 } = $$props;
  let { title = void 0 } = $$props;
  if ($$props.size === void 0 && $$bindings.size && size !== void 0)
    $$bindings.size(size);
  if ($$props.title === void 0 && $$bindings.title && title !== void 0)
    $$bindings.title(title);
  labelled = $$props["aria-label"] || $$props["aria-labelledby"] || title;
  attributes = {
    "aria-hidden": labelled ? void 0 : true,
    role: labelled ? "img" : void 0,
    focusable: Number($$props["tabindex"]) === 0 ? true : void 0
  };
  return `<svg${spread(
    [
      { xmlns: "http://www.w3.org/2000/svg" },
      { viewBox: "0 0 32 32" },
      { fill: "currentColor" },
      { preserveAspectRatio: "xMidYMid meet" },
      { width: escape_attribute_value(size) },
      { height: escape_attribute_value(size) },
      escape_object(attributes),
      escape_object($$restProps)
    ],
    {}
  )}>${title ? `<title>${escape(title)}</title>` : ``}<path fill="${"none"}" d="${"M16,8a1.5,1.5,0,1,1-1.5,1.5A1.5,1.5,0,0,1,16,8Zm4,13.875H17.125v-8H13v2.25h1.875v5.75H12v2.25h8Z"}" data-icon-path="${"inner-path"}"></path><path d="${"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM16,8a1.5,1.5,0,1,1-1.5,1.5A1.5,1.5,0,0,1,16,8Zm4,16.125H12v-2.25h2.875v-5.75H13v-2.25h4.125v8H20Z"}"></path></svg>`;
});
const InformationSquareFilled$1 = InformationSquareFilled;
const WarningFilled = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let labelled;
  let attributes;
  let $$restProps = compute_rest_props($$props, ["size", "title"]);
  let { size = 16 } = $$props;
  let { title = void 0 } = $$props;
  if ($$props.size === void 0 && $$bindings.size && size !== void 0)
    $$bindings.size(size);
  if ($$props.title === void 0 && $$bindings.title && title !== void 0)
    $$bindings.title(title);
  labelled = $$props["aria-label"] || $$props["aria-labelledby"] || title;
  attributes = {
    "aria-hidden": labelled ? void 0 : true,
    role: labelled ? "img" : void 0,
    focusable: Number($$props["tabindex"]) === 0 ? true : void 0
  };
  return `<svg${spread(
    [
      { xmlns: "http://www.w3.org/2000/svg" },
      { viewBox: "0 0 32 32" },
      { fill: "currentColor" },
      { preserveAspectRatio: "xMidYMid meet" },
      { width: escape_attribute_value(size) },
      { height: escape_attribute_value(size) },
      escape_object(attributes),
      escape_object($$restProps)
    ],
    {}
  )}>${title ? `<title>${escape(title)}</title>` : ``}<path d="${"M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14C30,8.3,23.7,2,16,2z M14.9,8h2.2v11h-2.2V8z M16,25	c-0.8,0-1.5-0.7-1.5-1.5S15.2,22,16,22c0.8,0,1.5,0.7,1.5,1.5S16.8,25,16,25z"}"></path><path fill="${"none"}" d="${"M17.5,23.5c0,0.8-0.7,1.5-1.5,1.5c-0.8,0-1.5-0.7-1.5-1.5S15.2,22,16,22	C16.8,22,17.5,22.7,17.5,23.5z M17.1,8h-2.2v11h2.2V8z"}" data-icon-path="${"inner-path"}" opacity="${"0"}"></path></svg>`;
});
const WarningFilled$1 = WarningFilled;
const WarningAltFilled = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let labelled;
  let attributes;
  let $$restProps = compute_rest_props($$props, ["size", "title"]);
  let { size = 16 } = $$props;
  let { title = void 0 } = $$props;
  if ($$props.size === void 0 && $$bindings.size && size !== void 0)
    $$bindings.size(size);
  if ($$props.title === void 0 && $$bindings.title && title !== void 0)
    $$bindings.title(title);
  labelled = $$props["aria-label"] || $$props["aria-labelledby"] || title;
  attributes = {
    "aria-hidden": labelled ? void 0 : true,
    role: labelled ? "img" : void 0,
    focusable: Number($$props["tabindex"]) === 0 ? true : void 0
  };
  return `<svg${spread(
    [
      { xmlns: "http://www.w3.org/2000/svg" },
      { viewBox: "0 0 32 32" },
      { fill: "currentColor" },
      { preserveAspectRatio: "xMidYMid meet" },
      { width: escape_attribute_value(size) },
      { height: escape_attribute_value(size) },
      escape_object(attributes),
      escape_object($$restProps)
    ],
    {}
  )}>${title ? `<title>${escape(title)}</title>` : ``}<path fill="${"none"}" d="${"M16,26a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,26Zm-1.125-5h2.25V12h-2.25Z"}" data-icon-path="${"inner-path"}"></path><path d="${"M16.002,6.1714h-.004L4.6487,27.9966,4.6506,28H27.3494l.0019-.0034ZM14.875,12h2.25v9h-2.25ZM16,26a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,26Z"}"></path><path d="${"M29,30H3a1,1,0,0,1-.8872-1.4614l13-25a1,1,0,0,1,1.7744,0l13,25A1,1,0,0,1,29,30ZM4.6507,28H27.3493l.002-.0033L16.002,6.1714h-.004L4.6487,27.9967Z"}"></path></svg>`;
});
const WarningAltFilled$1 = WarningAltFilled;
const NotificationIcon = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { kind = "error" } = $$props;
  let { notificationType = "toast" } = $$props;
  let { iconDescription = "Closes notification" } = $$props;
  const icons = {
    error: ErrorFilled$1,
    "info-square": InformationSquareFilled$1,
    info: InformationFilled$1,
    success: CheckmarkFilled$1,
    warning: WarningFilled$1,
    "warning-alt": WarningAltFilled$1
  };
  if ($$props.kind === void 0 && $$bindings.kind && kind !== void 0)
    $$bindings.kind(kind);
  if ($$props.notificationType === void 0 && $$bindings.notificationType && notificationType !== void 0)
    $$bindings.notificationType(notificationType);
  if ($$props.iconDescription === void 0 && $$bindings.iconDescription && iconDescription !== void 0)
    $$bindings.iconDescription(iconDescription);
  return `${validate_component(icons[kind] || missing_component, "svelte:component").$$render(
    $$result,
    {
      size: 20,
      title: iconDescription,
      class: "bx--" + notificationType + "-notification__icon"
    },
    {},
    {}
  )}`;
});
const NotificationIcon$1 = NotificationIcon;
const NotificationButton = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $$restProps = compute_rest_props($$props, ["notificationType", "icon", "title", "iconDescription"]);
  let { notificationType = "toast" } = $$props;
  let { icon = Close } = $$props;
  let { title = void 0 } = $$props;
  let { iconDescription = "Close icon" } = $$props;
  if ($$props.notificationType === void 0 && $$bindings.notificationType && notificationType !== void 0)
    $$bindings.notificationType(notificationType);
  if ($$props.icon === void 0 && $$bindings.icon && icon !== void 0)
    $$bindings.icon(icon);
  if ($$props.title === void 0 && $$bindings.title && title !== void 0)
    $$bindings.title(title);
  if ($$props.iconDescription === void 0 && $$bindings.iconDescription && iconDescription !== void 0)
    $$bindings.iconDescription(iconDescription);
  return `
<button${spread(
    [
      { type: "button" },
      {
        "aria-label": escape_attribute_value(iconDescription)
      },
      {
        title: escape_attribute_value(iconDescription)
      },
      escape_object($$restProps)
    ],
    {
      classes: (notificationType === "toast" ? "bx--toast-notification__close-button" : "") + " " + (notificationType === "inline" ? "bx--inline-notification__close-button" : "")
    }
  )}>${validate_component(icon || missing_component, "svelte:component").$$render(
    $$result,
    {
      size: 20,
      title,
      class: "bx--" + notificationType + "-notification__close-icon"
    },
    {},
    {}
  )}</button>`;
});
const NotificationButton$1 = NotificationButton;
const InlineNotification = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $$restProps = compute_rest_props($$props, [
    "kind",
    "lowContrast",
    "timeout",
    "role",
    "title",
    "subtitle",
    "hideCloseButton",
    "iconDescription"
  ]);
  let { kind = "error" } = $$props;
  let { lowContrast = false } = $$props;
  let { timeout = 0 } = $$props;
  let { role = "alert" } = $$props;
  let { title = "" } = $$props;
  let { subtitle = "" } = $$props;
  let { hideCloseButton = false } = $$props;
  let { iconDescription = "Closes notification" } = $$props;
  createEventDispatcher();
  if ($$props.kind === void 0 && $$bindings.kind && kind !== void 0)
    $$bindings.kind(kind);
  if ($$props.lowContrast === void 0 && $$bindings.lowContrast && lowContrast !== void 0)
    $$bindings.lowContrast(lowContrast);
  if ($$props.timeout === void 0 && $$bindings.timeout && timeout !== void 0)
    $$bindings.timeout(timeout);
  if ($$props.role === void 0 && $$bindings.role && role !== void 0)
    $$bindings.role(role);
  if ($$props.title === void 0 && $$bindings.title && title !== void 0)
    $$bindings.title(title);
  if ($$props.subtitle === void 0 && $$bindings.subtitle && subtitle !== void 0)
    $$bindings.subtitle(subtitle);
  if ($$props.hideCloseButton === void 0 && $$bindings.hideCloseButton && hideCloseButton !== void 0)
    $$bindings.hideCloseButton(hideCloseButton);
  if ($$props.iconDescription === void 0 && $$bindings.iconDescription && iconDescription !== void 0)
    $$bindings.iconDescription(iconDescription);
  return `
${`<div${spread(
    [
      { role: escape_attribute_value(role) },
      { kind: escape_attribute_value(kind) },
      escape_object($$restProps)
    ],
    {
      classes: "bx--inline-notification " + (lowContrast ? "bx--inline-notification--low-contrast" : "") + " " + (hideCloseButton ? "bx--inline-notification--hide-close-button" : "") + " " + (kind === "error" ? "bx--inline-notification--error" : "") + " " + (kind === "info" ? "bx--inline-notification--info" : "") + " " + (kind === "info-square" ? "bx--inline-notification--info-square" : "") + " " + (kind === "success" ? "bx--inline-notification--success" : "") + " " + (kind === "warning" ? "bx--inline-notification--warning" : "") + " " + (kind === "warning-alt" ? "bx--inline-notification--warning-alt" : "")
    }
  )}><div${add_classes("bx--inline-notification__details".trim())}>${validate_component(NotificationIcon$1, "NotificationIcon").$$render($$result, { notificationType: "inline", kind }, {}, {})}
      <div${add_classes("bx--inline-notification__text-wrapper".trim())}><p${add_classes("bx--inline-notification__title".trim())}>${slots.title ? slots.title({}) : `${escape(title)}`}</p>
        <div${add_classes("bx--inline-notification__subtitle".trim())}>${slots.subtitle ? slots.subtitle({}) : `${escape(subtitle)}`}</div>
        ${slots.default ? slots.default({}) : ``}</div></div>
    ${slots.actions ? slots.actions({}) : ``}
    ${!hideCloseButton ? `${validate_component(NotificationButton$1, "NotificationButton").$$render(
    $$result,
    {
      iconDescription,
      notificationType: "inline"
    },
    {},
    {}
  )}` : ``}</div>`}`;
});
const InlineNotification$1 = InlineNotification;
const MarkdownNotification_svelte_svelte_type_style_lang = "";
const css$7 = {
  code: ".bx--inline-notification{max-width:inherit !important}.bx--inline-notification__text-wrapper{padding:0.7rem 0 !important}.bx--inline-notification__text-wrapper .md-paragraph{margin:0 !important}",
  map: null
};
const MarkdownNotification = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { token } = $$props;
  if ($$props.token === void 0 && $$bindings.token && token !== void 0)
    $$bindings.token(token);
  $$result.css.add(css$7);
  return `${validate_component(InlineNotification$1, "InlineNotification").$$render(
    $$result,
    {
      kind: token.style,
      lowContrast: true,
      hideCloseButton: true,
      iconDescription: token.style
    },
    {},
    {
      default: () => {
        return `${slots.default ? slots.default({}) : ``}`;
      }
    }
  )}`;
});
const MarkdownBloquote = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { token } = $$props;
  if ($$props.token === void 0 && $$bindings.token && token !== void 0)
    $$bindings.token(token);
  return `${validate_component(MarkdownNotification, "MarkdownNotification").$$render(
    $$result,
    {
      token: {
        type: "notification",
        raw: token.raw,
        style: "info",
        tokens: token.tokens
      }
    },
    {},
    {
      default: () => {
        return `${slots.default ? slots.default({}) : ``}`;
      }
    }
  )}`;
});
const Link = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $$restProps = compute_rest_props($$props, ["size", "href", "inline", "icon", "disabled", "visited", "ref"]);
  let $$slots = compute_slots(slots);
  let { size = void 0 } = $$props;
  let { href = void 0 } = $$props;
  let { inline = false } = $$props;
  let { icon = void 0 } = $$props;
  let { disabled = false } = $$props;
  let { visited = false } = $$props;
  let { ref = null } = $$props;
  if ($$props.size === void 0 && $$bindings.size && size !== void 0)
    $$bindings.size(size);
  if ($$props.href === void 0 && $$bindings.href && href !== void 0)
    $$bindings.href(href);
  if ($$props.inline === void 0 && $$bindings.inline && inline !== void 0)
    $$bindings.inline(inline);
  if ($$props.icon === void 0 && $$bindings.icon && icon !== void 0)
    $$bindings.icon(icon);
  if ($$props.disabled === void 0 && $$bindings.disabled && disabled !== void 0)
    $$bindings.disabled(disabled);
  if ($$props.visited === void 0 && $$bindings.visited && visited !== void 0)
    $$bindings.visited(visited);
  if ($$props.ref === void 0 && $$bindings.ref && ref !== void 0)
    $$bindings.ref(ref);
  return `
${disabled ? `<p${spread([escape_object($$restProps)], {
    classes: "bx--link " + (disabled ? "bx--link--disabled" : "") + " " + (inline ? "bx--link--inline" : "") + " " + (visited ? "bx--link--visited" : "")
  })}${add_attribute("this", ref, 0)}>${slots.default ? slots.default({}) : ``}
    ${!inline && ($$slots.icon || icon) ? `<div${add_classes("bx--link__icon".trim())}>${slots.icon ? slots.icon({}) : `
          ${validate_component(icon || missing_component, "svelte:component").$$render($$result, {}, {}, {})}
        `}</div>` : ``}</p>` : `<a${spread(
    [
      {
        rel: escape_attribute_value($$restProps.target === "_blank" ? "noopener noreferrer" : void 0)
      },
      { href: escape_attribute_value(href) },
      escape_object($$restProps)
    ],
    {
      classes: "bx--link " + (disabled ? "bx--link--disabled" : "") + " " + (inline ? "bx--link--inline" : "") + " " + (visited ? "bx--link--visited" : "") + " " + (size === "sm" ? "bx--link--sm" : "") + " " + (size === "lg" ? "bx--link--lg" : "")
    }
  )}${add_attribute("this", ref, 0)}>${slots.default ? slots.default({}) : ``}
    ${!inline && ($$slots.icon || icon) ? `<div${add_classes("bx--link__icon".trim())}>${slots.icon ? slots.icon({}) : `
          ${validate_component(icon || missing_component, "svelte:component").$$render($$result, {}, {}, {})}
        `}</div>` : ``}</a>`}`;
});
const Link$1 = Link;
function isRelative(url) {
  return url.startsWith("/") || url.startsWith("#");
}
const MarkdownLink = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { token } = $$props;
  let { options } = $$props;
  if ($$props.token === void 0 && $$bindings.token && token !== void 0)
    $$bindings.token(token);
  if ($$props.options === void 0 && $$bindings.options && options !== void 0)
    $$bindings.options(options);
  return `${validate_component(Link$1, "Link").$$render(
    $$result,
    {
      href: isRelative(token.href) ? urlUtils.joinUrlPaths(options.baseUrl, token.href) : token.href,
      title: token.title
    },
    {},
    {
      default: () => {
        return `${slots.default ? slots.default({}) : ``}`;
      }
    }
  )}`;
});
const MarkdownParagraph_svelte_svelte_type_style_lang = "";
const css$6 = {
  code: ".md-paragraph.svelte-uzcm98{margin-top:0.5rem;margin-bottom:0.8rem}",
  map: null
};
const MarkdownParagraph = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  $$result.css.add(css$6);
  return `<p class="${"md-paragraph svelte-uzcm98"}">${slots.default ? slots.default({}) : ``}
</p>`;
});
const StructuredList = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $$restProps = compute_rest_props($$props, ["selected", "condensed", "flush", "selection"]);
  let $selectedValue, $$unsubscribe_selectedValue;
  let { selected = void 0 } = $$props;
  let { condensed = false } = $$props;
  let { flush = false } = $$props;
  let { selection = false } = $$props;
  const dispatch = createEventDispatcher();
  const selectedValue = writable(selected);
  $$unsubscribe_selectedValue = subscribe(selectedValue, (value) => $selectedValue = value);
  setContext("StructuredListWrapper", {
    selectedValue,
    update: (value) => {
      selectedValue.set(value);
    }
  });
  if ($$props.selected === void 0 && $$bindings.selected && selected !== void 0)
    $$bindings.selected(selected);
  if ($$props.condensed === void 0 && $$bindings.condensed && condensed !== void 0)
    $$bindings.condensed(condensed);
  if ($$props.flush === void 0 && $$bindings.flush && flush !== void 0)
    $$bindings.flush(flush);
  if ($$props.selection === void 0 && $$bindings.selection && selection !== void 0)
    $$bindings.selection(selection);
  selected = $selectedValue;
  {
    dispatch("change", $selectedValue);
  }
  $$unsubscribe_selectedValue();
  return `
<div${spread([{ role: "table" }, escape_object($$restProps)], {
    classes: "bx--structured-list " + (selection ? "bx--structured-list--selection" : "") + " " + (condensed ? "bx--structured-list--condensed" : "") + " " + (flush ? "bx--structured-list--flush" : "")
  })}>${slots.default ? slots.default({}) : ``}</div>`;
});
const StructuredList$1 = StructuredList;
const StructuredListBody = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $$restProps = compute_rest_props($$props, []);
  return `
<div${spread([{ role: "rowgroup" }, escape_object($$restProps)], {
    classes: "bx--structured-list-tbody"
  })}>${slots.default ? slots.default({}) : ``}</div>`;
});
const StructuredListBody$1 = StructuredListBody;
const StructuredListCell = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $$restProps = compute_rest_props($$props, ["head", "noWrap"]);
  let { head = false } = $$props;
  let { noWrap = false } = $$props;
  if ($$props.head === void 0 && $$bindings.head && head !== void 0)
    $$bindings.head(head);
  if ($$props.noWrap === void 0 && $$bindings.noWrap && noWrap !== void 0)
    $$bindings.noWrap(noWrap);
  return `
<div${spread(
    [
      {
        role: escape_attribute_value(head ? "columnheader" : "cell")
      },
      escape_object($$restProps)
    ],
    {
      classes: (head ? "bx--structured-list-th" : "") + " " + (!head ? "bx--structured-list-td" : "") + " " + (noWrap ? "bx--structured-list-content--nowrap" : "")
    }
  )}>${slots.default ? slots.default({}) : ``}</div>`;
});
const StructuredListCell$1 = StructuredListCell;
const StructuredListHead = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $$restProps = compute_rest_props($$props, []);
  return `
<div${spread([{ role: "rowgroup" }, escape_object($$restProps)], {
    classes: "bx--structured-list-thead"
  })}>${slots.default ? slots.default({}) : ``}</div>`;
});
const StructuredListHead$1 = StructuredListHead;
const StructuredListRow = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $$restProps = compute_rest_props($$props, ["head", "label", "tabindex"]);
  let { head = false } = $$props;
  let { label = false } = $$props;
  let { tabindex = "0" } = $$props;
  if ($$props.head === void 0 && $$bindings.head && head !== void 0)
    $$bindings.head(head);
  if ($$props.label === void 0 && $$bindings.label && label !== void 0)
    $$bindings.label(label);
  if ($$props.tabindex === void 0 && $$bindings.tabindex && tabindex !== void 0)
    $$bindings.tabindex(tabindex);
  return `
${label ? `
  <label${spread(
    [
      {
        tabindex: escape_attribute_value(tabindex)
      },
      escape_object($$restProps)
    ],
    {
      classes: "bx--structured-list-row " + (head ? "bx--structured-list-row--header-row" : "")
    }
  )}>${slots.default ? slots.default({}) : ``}</label>` : `<div${spread([{ role: "row" }, escape_object($$restProps)], {
    classes: "bx--structured-list-row " + (head ? "bx--structured-list-row--header-row" : "")
  })}>${slots.default ? slots.default({}) : ``}</div>`}`;
});
const StructuredListRow$1 = StructuredListRow;
const MarkdownTable_svelte_svelte_type_style_lang = "";
const css$5 = {
  code: ".markdown-table-wrapper.svelte-18nwhtd{overflow-x:auto;overflow-y:hidden}.markdown-table-wrapper.svelte-18nwhtd .bx--structured-list{margin-bottom:0 !important}",
  map: null
};
const MarkdownTable = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { token } = $$props;
  let { options } = $$props;
  let { renderers } = $$props;
  if ($$props.token === void 0 && $$bindings.token && token !== void 0)
    $$bindings.token(token);
  if ($$props.options === void 0 && $$bindings.options && options !== void 0)
    $$bindings.options(options);
  if ($$props.renderers === void 0 && $$bindings.renderers && renderers !== void 0)
    $$bindings.renderers(renderers);
  $$result.css.add(css$5);
  return `<div class="${"markdown-table-wrapper svelte-18nwhtd"}">${validate_component(StructuredList$1, "StructuredList").$$render($$result, {}, {}, {
    default: () => {
      return `${validate_component(StructuredListHead$1, "StructuredListHead").$$render($$result, {}, {}, {
        default: () => {
          return `${validate_component(StructuredListRow$1, "StructuredListRow").$$render($$result, { head: true }, {}, {
            default: () => {
              return `${each(token.header, (item) => {
                return `${validate_component(StructuredListCell$1, "StructuredListCell").$$render($$result, { head: true }, {}, {
                  default: () => {
                    return `${validate_component(MarkdownTokens, "MarkdownTokens").$$render($$result, { tokens: item.tokens, options, renderers }, {}, {})}
          `;
                  }
                })}`;
              })}`;
            }
          })}`;
        }
      })}

    ${validate_component(StructuredListBody$1, "StructuredListBody").$$render($$result, {}, {}, {
        default: () => {
          return `${each(token.rows, (row) => {
            return `${validate_component(StructuredListRow$1, "StructuredListRow").$$render($$result, {}, {}, {
              default: () => {
                return `${each(row, (col) => {
                  return `${validate_component(StructuredListCell$1, "StructuredListCell").$$render($$result, {}, {}, {
                    default: () => {
                      return `${validate_component(MarkdownTokens, "MarkdownTokens").$$render($$result, { tokens: col.tokens, options, renderers }, {}, {})}
            `;
                    }
                  })}`;
                })}
        `;
              }
            })}`;
          })}`;
        }
      })}`;
    }
  })}
</div>`;
});
const OrderedList = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $$restProps = compute_rest_props($$props, ["nested", "native", "expressive"]);
  let { nested = false } = $$props;
  let { native = false } = $$props;
  let { expressive = false } = $$props;
  if ($$props.nested === void 0 && $$bindings.nested && nested !== void 0)
    $$bindings.nested(nested);
  if ($$props.native === void 0 && $$bindings.native && native !== void 0)
    $$bindings.native(native);
  if ($$props.expressive === void 0 && $$bindings.expressive && expressive !== void 0)
    $$bindings.expressive(expressive);
  return `
<ol${spread([escape_object($$restProps)], {
    classes: (!native ? "bx--list--ordered" : "") + " " + (native ? "bx--list--ordered--native" : "") + " " + (nested ? "bx--list--nested" : "") + " " + (expressive ? "bx--list--expressive" : "")
  })}>${slots.default ? slots.default({}) : ``}</ol>`;
});
const OrderedList$1 = OrderedList;
const UnorderedList = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $$restProps = compute_rest_props($$props, ["nested", "expressive"]);
  let { nested = false } = $$props;
  let { expressive = false } = $$props;
  if ($$props.nested === void 0 && $$bindings.nested && nested !== void 0)
    $$bindings.nested(nested);
  if ($$props.expressive === void 0 && $$bindings.expressive && expressive !== void 0)
    $$bindings.expressive(expressive);
  return `
<ul${spread([escape_object($$restProps)], {
    classes: "bx--list--unordered " + (nested ? "bx--list--nested" : "") + " " + (expressive ? "bx--list--expressive" : "")
  })}>${slots.default ? slots.default({}) : ``}</ul>`;
});
const UnorderedList$1 = UnorderedList;
const AppList_svelte_svelte_type_style_lang = "";
const css$4 = {
  code: ".markdown-list-style{padding:revert !important;padding-left:2rem !important}",
  map: null
};
const AppList = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { start = 1 } = $$props;
  let { ordered = false } = $$props;
  let component;
  if ($$props.start === void 0 && $$bindings.start && start !== void 0)
    $$bindings.start(start);
  if ($$props.ordered === void 0 && $$bindings.ordered && ordered !== void 0)
    $$bindings.ordered(ordered);
  $$result.css.add(css$4);
  component = ordered ? OrderedList$1 : UnorderedList$1;
  return `${validate_component(component || missing_component, "svelte:component").$$render(
    $$result,
    {
      class: "markdown-list-style",
      style: `counter-reset: item ${Number(start) - 1}`
    },
    {},
    {
      default: () => {
        return `${slots.default ? slots.default({}) : ``}`;
      }
    }
  )}`;
});
const MarkdownList = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { token } = $$props;
  let { options } = $$props;
  let { renderers } = $$props;
  if ($$props.token === void 0 && $$bindings.token && token !== void 0)
    $$bindings.token(token);
  if ($$props.options === void 0 && $$bindings.options && options !== void 0)
    $$bindings.options(options);
  if ($$props.renderers === void 0 && $$bindings.renderers && renderers !== void 0)
    $$bindings.renderers(renderers);
  token.ordered ? OrderedList$1 : UnorderedList$1;
  return `${validate_component(AppList, "AppList").$$render(
    $$result,
    {
      ordered: token.ordered,
      start: token.start || 1
    },
    {},
    {
      default: () => {
        return `${each(token.items, (item) => {
          return `${validate_component(MarkdownToken, "MarkdownToken").$$render($$result, { token: { ...item }, options, renderers }, {}, {})}`;
        })}`;
      }
    }
  )}`;
});
const ListItem = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $$restProps = compute_rest_props($$props, []);
  return `
<li${spread([escape_object($$restProps)], { classes: "bx--list__item" })}>${slots.default ? slots.default({}) : ``}</li>`;
});
const ListItem$1 = ListItem;
const MarkdownListItem_svelte_svelte_type_style_lang = "";
const css$3 = {
  code: ".markdown-list-item{margin-top:0.5rem;margin-bottom:0.5rem}",
  map: null
};
const MarkdownListItem = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  $$result.css.add(css$3);
  return `${validate_component(ListItem$1, "ListItem").$$render($$result, { class: "markdown-list-item" }, {}, {
    default: () => {
      return `${slots.default ? slots.default({}) : ``}`;
    }
  })}`;
});
const TagSkeleton = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $$restProps = compute_rest_props($$props, ["size"]);
  let { size = "default" } = $$props;
  if ($$props.size === void 0 && $$bindings.size && size !== void 0)
    $$bindings.size(size);
  return `
<span${spread([escape_object($$restProps)], {
    classes: "bx--tag " + (size === "sm" ? "bx--tag--sm" : "") + " bx--skeleton"
  })}></span>`;
});
const TagSkeleton$1 = TagSkeleton;
const Tag = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let $$restProps = compute_rest_props($$props, ["type", "size", "filter", "disabled", "interactive", "skeleton", "title", "icon", "id"]);
  let $$slots = compute_slots(slots);
  let { type = void 0 } = $$props;
  let { size = "default" } = $$props;
  let { filter = false } = $$props;
  let { disabled = false } = $$props;
  let { interactive = false } = $$props;
  let { skeleton = false } = $$props;
  let { title = "Clear filter" } = $$props;
  let { icon = void 0 } = $$props;
  let { id = "ccs-" + Math.random().toString(36) } = $$props;
  createEventDispatcher();
  if ($$props.type === void 0 && $$bindings.type && type !== void 0)
    $$bindings.type(type);
  if ($$props.size === void 0 && $$bindings.size && size !== void 0)
    $$bindings.size(size);
  if ($$props.filter === void 0 && $$bindings.filter && filter !== void 0)
    $$bindings.filter(filter);
  if ($$props.disabled === void 0 && $$bindings.disabled && disabled !== void 0)
    $$bindings.disabled(disabled);
  if ($$props.interactive === void 0 && $$bindings.interactive && interactive !== void 0)
    $$bindings.interactive(interactive);
  if ($$props.skeleton === void 0 && $$bindings.skeleton && skeleton !== void 0)
    $$bindings.skeleton(skeleton);
  if ($$props.title === void 0 && $$bindings.title && title !== void 0)
    $$bindings.title(title);
  if ($$props.icon === void 0 && $$bindings.icon && icon !== void 0)
    $$bindings.icon(icon);
  if ($$props.id === void 0 && $$bindings.id && id !== void 0)
    $$bindings.id(id);
  return `
${skeleton ? `${validate_component(TagSkeleton$1, "TagSkeleton").$$render($$result, Object.assign({ size }, $$restProps), {}, {})}` : `${filter ? `<div${spread(
    [
      {
        "aria-label": escape_attribute_value(title)
      },
      { id: escape_attribute_value(id) },
      escape_object($$restProps)
    ],
    {
      classes: "bx--tag " + (disabled ? "bx--tag--disabled" : "") + " " + (filter ? "bx--tag--filter" : "") + " " + (size === "sm" ? "bx--tag--sm" : "") + " " + (type === "red" ? "bx--tag--red" : "") + " " + (type === "magenta" ? "bx--tag--magenta" : "") + " " + (type === "purple" ? "bx--tag--purple" : "") + " " + (type === "blue" ? "bx--tag--blue" : "") + " " + (type === "cyan" ? "bx--tag--cyan" : "") + " " + (type === "teal" ? "bx--tag--teal" : "") + " " + (type === "green" ? "bx--tag--green" : "") + " " + (type === "gray" ? "bx--tag--gray" : "") + " " + (type === "cool-gray" ? "bx--tag--cool-gray" : "") + " " + (type === "warm-gray" ? "bx--tag--warm-gray" : "") + " " + (type === "high-contrast" ? "bx--tag--high-contrast" : "") + " " + (type === "outline" ? "bx--tag--outline" : "")
    }
  )}>${slots.default ? slots.default({ props: { class: "bx--tag__label" } }) : `
      <span${add_classes("bx--tag__label".trim())}>${escape(type)}</span>
    `}
    <button type="${"button"}"${add_attribute("aria-labelledby", id, 0)} ${disabled ? "disabled" : ""}${add_attribute("title", title, 0)}${add_classes("bx--tag__close-icon".trim())}>${validate_component(Close, "Close").$$render($$result, {}, {}, {})}</button></div>` : `${interactive ? `<button${spread(
    [
      { type: "button" },
      { id: escape_attribute_value(id) },
      { disabled: disabled || null },
      {
        "aria-disabled": escape_attribute_value(disabled)
      },
      {
        tabindex: escape_attribute_value(disabled ? "-1" : void 0)
      },
      escape_object($$restProps)
    ],
    {
      classes: "bx--tag bx--tag--interactive " + (disabled ? "bx--tag--disabled" : "") + " " + (size === "sm" ? "bx--tag--sm" : "") + " " + (type === "red" ? "bx--tag--red" : "") + " " + (type === "magenta" ? "bx--tag--magenta" : "") + " " + (type === "purple" ? "bx--tag--purple" : "") + " " + (type === "blue" ? "bx--tag--blue" : "") + " " + (type === "cyan" ? "bx--tag--cyan" : "") + " " + (type === "teal" ? "bx--tag--teal" : "") + " " + (type === "green" ? "bx--tag--green" : "") + " " + (type === "gray" ? "bx--tag--gray" : "") + " " + (type === "cool-gray" ? "bx--tag--cool-gray" : "") + " " + (type === "warm-gray" ? "bx--tag--warm-gray" : "") + " " + (type === "high-contrast" ? "bx--tag--high-contrast" : "") + " " + (type === "outline" ? "bx--tag--outline" : "")
    }
  )}>${$$slots.icon || icon ? `<div${add_classes("bx--tag__custom-icon".trim())}>${slots.icon ? slots.icon({ props: { class: "bx--tag__label" } }) : `
          ${validate_component(icon || missing_component, "svelte:component").$$render($$result, {}, {}, {})}
        `}</div>` : ``}
    <span>${slots.default ? slots.default({}) : ``}</span></button>` : `<div${spread([{ id: escape_attribute_value(id) }, escape_object($$restProps)], {
    classes: "bx--tag " + (disabled ? "bx--tag--disabled" : "") + " " + (size === "sm" ? "bx--tag--sm" : "") + " " + (type === "red" ? "bx--tag--red" : "") + " " + (type === "magenta" ? "bx--tag--magenta" : "") + " " + (type === "purple" ? "bx--tag--purple" : "") + " " + (type === "blue" ? "bx--tag--blue" : "") + " " + (type === "cyan" ? "bx--tag--cyan" : "") + " " + (type === "teal" ? "bx--tag--teal" : "") + " " + (type === "green" ? "bx--tag--green" : "") + " " + (type === "gray" ? "bx--tag--gray" : "") + " " + (type === "cool-gray" ? "bx--tag--cool-gray" : "") + " " + (type === "warm-gray" ? "bx--tag--warm-gray" : "") + " " + (type === "high-contrast" ? "bx--tag--high-contrast" : "") + " " + (type === "outline" ? "bx--tag--outline" : "")
  })}>${$$slots.icon || icon ? `<div${add_classes("bx--tag__custom-icon".trim())}>${slots.icon ? slots.icon({}) : `
          ${validate_component(icon || missing_component, "svelte:component").$$render($$result, {}, {}, {})}
        `}</div>` : ``}
    <span>${slots.default ? slots.default({}) : ``}</span></div>`}`}`}`;
});
const Tag$1 = Tag;
const MarkdownTags_svelte_svelte_type_style_lang = "";
const css$2 = {
  code: ".tags.svelte-kyu9xc{display:flex;flex-direction:row;flex-wrap:wrap;gap:0.2rem}",
  map: null
};
const MarkdownTags = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { token } = $$props;
  if ($$props.token === void 0 && $$bindings.token && token !== void 0)
    $$bindings.token(token);
  $$result.css.add(css$2);
  return `<div class="${"tags svelte-kyu9xc"}">${each(token.tags, (tag, index) => {
    return `${validate_component(Tag$1, "Tag").$$render(
      $$result,
      {
        type: token.colors[index % token.colors.length]
      },
      {},
      {
        default: () => {
          return `${escape(tag.name)}
    `;
        }
      }
    )}`;
  })}
</div>`;
});
const AnchorHeader_svelte_svelte_type_style_lang = "";
const css$1 = {
  code: ".parent.svelte-1ltydza.svelte-1ltydza{display:flex;flex-direction:row;align-items:center;flex-wrap:nowrap}.header-base.svelte-1ltydza.svelte-1ltydza{display:block;margin-top:1.8rem}.header.svelte-1ltydza.svelte-1ltydza{overflow:hidden;text-overflow:ellipsis}.parent.svelte-1ltydza:hover .hashtag.svelte-1ltydza{opacity:1}.header-hashtag.svelte-1ltydza.svelte-1ltydza{margin-bottom:0.1rem}.hashtag.svelte-1ltydza.svelte-1ltydza{font-size:70%;height:100%;margin-left:0.5rem;vertical-align:middle;cursor:pointer;opacity:0;color:inherit;text-decoration:none;flex:2}.hashtag.svelte-1ltydza.svelte-1ltydza:hover{color:#ff9900}",
  map: null
};
const AnchorHeader = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { id } = $$props;
  let { depth } = $$props;
  if ($$props.id === void 0 && $$bindings.id && id !== void 0)
    $$bindings.id(id);
  if ($$props.depth === void 0 && $$bindings.depth && depth !== void 0)
    $$bindings.depth(depth);
  $$result.css.add(css$1);
  return `<div class="${"parent svelte-1ltydza"}">${((tag) => {
    return tag ? `<${`h${depth}`}${add_attribute("id", id, 0)} class="${"header header-base svelte-1ltydza"}">${is_void(tag) ? "" : `${slots.default ? slots.default({}) : ``}`}${is_void(tag) ? "" : `</${tag}>`}` : "";
  })(`h${depth}`)}
  ${depth > 1 ? `${((tag) => {
    return tag ? `<${`h${depth}`} class="${"header-base header-hashtag svelte-1ltydza"}">${is_void(tag) ? "" : `<a${add_attribute("href", `#${id}`, 0)} class="${"hashtag svelte-1ltydza"}">#</a>`}${is_void(tag) ? "" : `</${tag}>`}` : "";
  })(`h${depth}`)}` : ``}
</div>`;
});
const MarkdownHeading = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { token } = $$props;
  const { slug } = getContext(contextKey);
  let id;
  if ($$props.token === void 0 && $$bindings.token && token !== void 0)
    $$bindings.token(token);
  id = slug.slug(token.text);
  return `${validate_component(AnchorHeader, "AnchorHeader").$$render($$result, { id, depth: token.depth }, {}, {
    default: () => {
      return `${slots.default ? slots.default({}) : ``}`;
    }
  })}`;
});
const CarbonMarkdown = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  setupMarkedExtensions();
  let { source } = $$props;
  if ($$props.source === void 0 && $$bindings.source && source !== void 0)
    $$bindings.source(source);
  return `${source ? `${validate_component(Markdown, "Markdown").$$render(
    $$result,
    {
      source,
      renderers: {
        heading: MarkdownHeading,
        code: MarkdownCode,
        codespan: MarkdownCodeSpan,
        blockquote: MarkdownBloquote,
        link: MarkdownLink,
        paragraph: MarkdownParagraph,
        table: MarkdownTable,
        list: MarkdownList,
        list_item: MarkdownListItem,
        notification: MarkdownNotification,
        tags: MarkdownTags
      },
      options: { baseUrl: base }
    },
    {},
    {}
  )}` : ``}`;
});
const ArrowLeft = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let labelled;
  let attributes;
  let $$restProps = compute_rest_props($$props, ["size", "title"]);
  let { size = 16 } = $$props;
  let { title = void 0 } = $$props;
  if ($$props.size === void 0 && $$bindings.size && size !== void 0)
    $$bindings.size(size);
  if ($$props.title === void 0 && $$bindings.title && title !== void 0)
    $$bindings.title(title);
  labelled = $$props["aria-label"] || $$props["aria-labelledby"] || title;
  attributes = {
    "aria-hidden": labelled ? void 0 : true,
    role: labelled ? "img" : void 0,
    focusable: Number($$props["tabindex"]) === 0 ? true : void 0
  };
  return `<svg${spread(
    [
      { xmlns: "http://www.w3.org/2000/svg" },
      { viewBox: "0 0 32 32" },
      { fill: "currentColor" },
      { preserveAspectRatio: "xMidYMid meet" },
      { width: escape_attribute_value(size) },
      { height: escape_attribute_value(size) },
      escape_object(attributes),
      escape_object($$restProps)
    ],
    {}
  )}>${title ? `<title>${escape(title)}</title>` : ``}<path d="${"M14 26L15.41 24.59 7.83 17 28 17 28 15 7.83 15 15.41 7.41 14 6 4 16 14 26z"}"></path></svg>`;
});
const ArrowRight = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let labelled;
  let attributes;
  let $$restProps = compute_rest_props($$props, ["size", "title"]);
  let { size = 16 } = $$props;
  let { title = void 0 } = $$props;
  if ($$props.size === void 0 && $$bindings.size && size !== void 0)
    $$bindings.size(size);
  if ($$props.title === void 0 && $$bindings.title && title !== void 0)
    $$bindings.title(title);
  labelled = $$props["aria-label"] || $$props["aria-labelledby"] || title;
  attributes = {
    "aria-hidden": labelled ? void 0 : true,
    role: labelled ? "img" : void 0,
    focusable: Number($$props["tabindex"]) === 0 ? true : void 0
  };
  return `<svg${spread(
    [
      { xmlns: "http://www.w3.org/2000/svg" },
      { viewBox: "0 0 32 32" },
      { fill: "currentColor" },
      { preserveAspectRatio: "xMidYMid meet" },
      { width: escape_attribute_value(size) },
      { height: escape_attribute_value(size) },
      escape_object(attributes),
      escape_object($$restProps)
    ],
    {}
  )}>${title ? `<title>${escape(title)}</title>` : ``}<path d="${"M18 6L16.57 7.393 24.15 15 4 15 4 17 24.15 17 16.57 24.573 18 26 28 16 18 6z"}"></path></svg>`;
});
const PreviousNextPage_svelte_svelte_type_style_lang = "";
const css = {
  code: ".footer-hr.svelte-19tre3a.svelte-19tre3a{margin-top:3rem}.wrapper.svelte-19tre3a.svelte-19tre3a{display:flex;flex-direction:row;justify-content:space-between;margin-top:3rem;margin-bottom:1rem}.direction-wrapper.svelte-19tre3a.svelte-19tre3a{display:flex;flex-direction:column;align-items:center;justify-items:center}.direction-wrapper.svelte-19tre3a>div.svelte-19tre3a{margin-bottom:0.5rem}.direction-wrapper.svelte-19tre3a .direction.svelte-19tre3a{font-size:larger}.title.svelte-19tre3a.svelte-19tre3a{color:inherit;text-decoration:none;display:flex;align-items:center}.previous.svelte-19tre3a.svelte-19tre3a{align-items:flex-start}.next.svelte-19tre3a.svelte-19tre3a{align-items:flex-end}.next .previous-next-arrow{margin-left:0.3rem}.previous .previous-next-arrow{margin-right:0.3rem}.previous-next-arrow{opacity:0;display:none}.title.svelte-19tre3a:hover .previous-next-arrow{display:block;-webkit-animation:svelte-19tre3a-fadeIn 0.3s;animation:svelte-19tre3a-fadeIn 0.3s;transition-property:opacity;transition:cubic-bezier(0.4, 0, 0.2, 1) 0.1s;opacity:1}.title.svelte-19tre3a.svelte-19tre3a:hover{color:#bc7304;transition:cubic-bezier(0.4, 0, 0.2, 1) 0.1s}@-webkit-keyframes svelte-19tre3a-fadeIn{from{opacity:0}to{opacity:1}}@keyframes svelte-19tre3a-fadeIn{from{opacity:0}to{opacity:1}}",
  map: null
};
const PreviousNextPage = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { page } = $$props;
  if ($$props.page === void 0 && $$bindings.page && page !== void 0)
    $$bindings.page(page);
  $$result.css.add(css);
  return `<hr class="${"footer-hr svelte-19tre3a"}">

<div class="${"wrapper svelte-19tre3a"}"><div class="${"previous direction-wrapper svelte-19tre3a"}">${page.previous ? `<div class="${"direction svelte-19tre3a"}"><strong>Previous

          ${page.previous.section && page.previous.section !== page.section ? `- ${escape(page.previous.section)}` : ``}</strong></div>
      <a${add_attribute("href", page.previous.href, 0)} class="${"title svelte-19tre3a"}"><span>${validate_component(ArrowLeft, "ArrowLeft").$$render($$result, { class: "previous-next-arrow", size: 20 }, {}, {})}</span>
        <p>${escape(page.previous.title)}</p></a>` : ``}</div>

  <div class="${"next direction-wrapper svelte-19tre3a"}">${page.next ? `<div class="${"direction svelte-19tre3a"}"><strong>Next
          ${page.next.section && page.next.section !== page.section ? `- ${escape(page.next.section)}` : ``}</strong></div>
      <a${add_attribute("href", page.next.href, 0)} class="${"title svelte-19tre3a"}"><p>${escape(page.next.title)}</p>
        <span>${validate_component(ArrowRight, "ArrowRight").$$render($$result, { class: "previous-next-arrow", size: 20 }, {}, {})}</span></a>` : ``}</div>
</div>`;
});
export {
  AnchorHeader as A,
  CarbonMarkdown as C,
  InlineNotification$1 as I,
  Link$1 as L,
  PreviousNextPage as P,
  StructuredList$1 as S,
  Tag$1 as T,
  Prism_1 as a,
  CodeSpan as b,
  StructuredListBody$1 as c,
  StructuredListRow$1 as d,
  StructuredListCell$1 as e,
  ListItem$1 as f,
  AppList as g
};
